> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the generation details

> Retrieves detailed information about AI responses including the System Prompt, Conversation history, Knowledge base, website, FAQ chunks, and Rich Text chunks.



## OpenAPI

````yaml /api-reference/conversation-ai/openapi.json get /conversation-ai/generations
openapi: 3.0.0
info:
  title: Conversation AI API
  description: Documentation for AI Employees API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: AI-Employees
    description: Documentation for AI Employees API
  - name: Actions
    description: Documentation for AI Employees API
  - name: Agents
    description: Documentation for AI Employees API
  - name: Generations
    description: Documentation for AI Employees API
paths:
  /conversation-ai/generations:
    get:
      tags:
        - Generations
      summary: Get the generation details
      description: >-
        Retrieves detailed information about AI responses including the System
        Prompt, Conversation history, Knowledge base, website, FAQ chunks, and
        Rich Text chunks.
      operationId: get-generation-details
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: messageId
          required: true
          in: query
          description: Message Id
          schema:
            example: messageId123
            type: string
        - name: source
          required: true
          in: query
          schema:
            example: conversation
            enum:
              - conversation
              - workflow
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchAIResponseDetailsResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - conversation-ai.readonly
components:
  schemas:
    FetchAIResponseDetailsResponseDTO:
      type: object
      properties:
        prompt:
          type: string
          description: The complete prompt used for the AI response.
          example: |-
            Personality:
            Friendly and professional,

            Intent:
            Assist customers with inquiries

            Additional Information:
            Handle basic support queries
        intent:
          type: string
          description: The intent/goal extracted from location prompt.
          example: Assist customers with product inquiries and support
        responseMessage:
          type: string
          description: The response message generated by the AI.
          example: >-
            Hello! I understand you're interested in our products. How can I
            assist you today?
        faqs:
          type: array
          description: FAQ chunks used in generating the response from fine-tuned data.
          example:
            - id: chunk_123
              content: Our return policy allows returns within 30 days of purchase.
              title: Return Policy FAQ
        website:
          type: array
          description: Website content chunks used in generating the response.
          example:
            - id: chunk_456
              content: We offer free shipping on orders over $50.
              url: https://example.com/shipping
        agentId:
          type: string
          description: ID of the employee/agent that generated the response.
          example: emp_123
        input:
          type: string
          description: The original input message that triggered this response.
          example: What is your return policy?
        actionLogs:
          type: array
          description: List of actions taken during this interaction.
          example:
            - contactUpdateAction:
                - fieldId: field_123
                  value: John Doe
        history:
          type: array
          description: Conversation history leading up to this response.
          example:
            - role: user
              content: Hi, I have a question about returns
            - role: assistant
              content: >-
                I'll be happy to help you with information about our return
                policy.
        mode:
          type: string
          description: Mode of operation during this interaction.
          example: auto-pilot
      required:
        - prompt
        - responseMessage
        - actionLogs
        - history
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          example:
            - Unprocessable Entity
          type: array
          items:
            type: string
        error:
          type: string
          example: Unprocessable Entity
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````